## biosyntax 0.1~beta4+dfsg

=== debian/changelog ===
biosyntax (0.1~beta4+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #893827)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 22 Mar 2018 22:04:17 +0100
