=== debian/control ===
Source: biosyntax
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/med-team/biosyntax
Vcs-Git: https://salsa.debian.org/med-team/biosyntax.git
Homepage: https://biosyntax.org/

Package: biosyntax-gedit
Architecture: all
Depends: ${misc:Depends},
         gedit
Description: Syntax Highlighting for Computational Biology (gedit)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides the bioSyntax plugin for gedit.
 .
 Please note: The plugin is not enabled per default, to enable it, please read:
 /usr/share/doc/biosyntax-gedit/README.Debian

Package: biosyntax-less
Architecture: all
Depends: ${misc:Depends},
         less,
         source-highlight
Description: Syntax Highlighting for Computational Biology (less)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides the bioSyntax plugin for less.
 .
 Please note: The plugin is not enabled per default, to enable it, please read:
 /usr/share/doc/biosyntax-less/README.Debian

Package: biosyntax-vim
Architecture: all
Depends: ${misc:Depends},
         vim
Recommends: vim-addon-manager
Description: Syntax Highlighting for Computational Biology (vim)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides the bioSyntax plugin for vim.
 .
 Please note: The plugin is not enabled per default, to enable it, please read:
 /usr/share/doc/biosyntax-vim/README.Debian

Package: biosyntax-example
Architecture: all
Depends: ${misc:Depends}
Description: Syntax Highlighting for Computational Biology (example)
 Syntax highlighting for computational biology to bring you intuitively close
 to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
 , .clustal, .pdb, .gtf, .bed files & more.
 .
 This package provides example files for bioSyntax.
