## biosyntax 1.0.0b

=== debian/changelog ===
biosyntax (1.0.0b-6) unstable; urgency=medium

  * Team upload.
  * d/rules: preserve less/src-hilite-lesspipe-bio-LINUX.sh. (Closes: #1049738)
  * d/copyright: document appstream's CC0 license.

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Feb 2024 11:20:09 +0100

biosyntax (1.0.0b-5) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1043674

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jan 2024 20:02:20 +0100

biosyntax (1.0.0b-4) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 21:51:48 +0100

biosyntax (1.0.0b-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix debian/biosyntax-vim.yaml to mention only those includes that
    are shipped by upstream
    Closes: #1010834

  [ Étienne Mollier ]
  * d/biosyntax-gedit.install: move specs to /usr/share/gtksourceview-4.
    Thanks to Carl Suster (Closes: #1010836)
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Étienne Mollier <emollier@debian.org>  Thu, 30 Jun 2022 21:47:49 +0200

biosyntax (1.0.0b-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 23 Nov 2020 20:54:43 +0100

biosyntax (1.0.0b-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.2.1 (no changes needed).
  * Build two new packages: biosyntax (metapackage) and biosyntax-common.
  * Install AppStream metadata files.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 26 Aug 2018 08:52:28 +0200
