=== debian/control ===
--- 
+++ 
@@ -1,17 +1,32 @@
 Source: biosyntax
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/biosyntax
 Vcs-Git: https://salsa.debian.org/med-team/biosyntax.git
 Homepage: https://biosyntax.org/
+Rules-Requires-Root: no
+
+Package: biosyntax
+Architecture: all
+Depends: ${misc:Depends},
+         biosyntax-gedit,
+         biosyntax-less,
+         biosyntax-vim
+Description: Syntax Highlighting for Computational Biology (metapackage)
+ Syntax highlighting for computational biology to bring you intuitively close
+ to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
+ , .clustal, .pdb, .gtf, .bed files & more.
+ .
+ This is a metapackage depending on all bioSyntax plugins.
 
 Package: biosyntax-gedit
 Architecture: all
 Depends: ${misc:Depends},
+         biosyntax-common (= ${binary:Version}),
          gedit
 Description: Syntax Highlighting for Computational Biology (gedit)
  Syntax highlighting for computational biology to bring you intuitively close
@@ -26,6 +41,7 @@
 Package: biosyntax-less
 Architecture: all
 Depends: ${misc:Depends},
+         biosyntax-common (= ${binary:Version}),
          less,
          source-highlight
 Description: Syntax Highlighting for Computational Biology (less)
@@ -41,6 +57,7 @@
 Package: biosyntax-vim
 Architecture: all
 Depends: ${misc:Depends},
+         biosyntax-common (= ${binary:Version}),
          vim
 Recommends: vim-addon-manager
 Description: Syntax Highlighting for Computational Biology (vim)
@@ -56,9 +73,21 @@
 Package: biosyntax-example
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Syntax Highlighting for Computational Biology (example)
  Syntax highlighting for computational biology to bring you intuitively close
  to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
  , .clustal, .pdb, .gtf, .bed files & more.
  .
  This package provides example files for bioSyntax.
+
+Package: biosyntax-common
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: Syntax Highlighting for Computational Biology (common files)
+ Syntax highlighting for computational biology to bring you intuitively close
+ to your data. BioSyntax supports .sam, .flagstat, .vcf, .fasta, .fastq, .faidx
+ , .clustal, .pdb, .gtf, .bed files & more.
+ .
+ This package provides common files of bioSyntax.
