=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Upstream provides a makefile only to generate the released tarball
	cp less/src-hilite-lesspipe-bio-LINUX.sh less/src-hilite-lesspipe-bio.sh
