=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,repacksuffix=+dfsg,dversionmangle=auto" \
     https://github.com/bioSyntax/bioSyntax/tags .*/v?(\d\S+)\.zip

# This is a non standard watch file for GitHub because GH autogenerates tarballs
# with empty vim folder. We need to target the zip file which contains all files.
